GPSTRANS(1)

NAME
gpstrans - communicate with Garmin GPS receiver

SYNOPOSIS
gpstrans [ options ] [ file ]

DESCRIPTION

gpstrans allows the user with a Garmin GPS receiver to upload and download waypoints, routes, almanacs (satellite orbital elements) and trackroutes. If file is not supplied, data will be read from stdin (-ux switch) or written to stdout (-dx switch).

OPTIONS

-pport
    set serial I/O device

-s  set datum, format, offset, and device interactively, and save them in $HOME/.gpstrans.

-i  identify connected GPS

-o  turn off GPS device

-t  get time from GPS

-ts get time from GPS and set system time on host

-dx download data indicated by x: r=route, t=track, w=waypoint, a=almanac

-m  With -dt, downloads track data in the format which can be displayed by Mayko mXmap(1). With -dr or -ur, downloads or uploads route data in a format compatible with Mayko mXmap.

-ux upload data indicated by x: r=route, t=track, w=waypoint, a=almanac

-v  print program version.

--verbose
    Increase verbosity.

--debug
    Add debug printouts.

--help
    Print help text.

CONNECTION
For a DB-25 connector, you may need to connect pin 4, 5 and 6, 8, 20 together. This sets handshake signals so that your workstation can use the serial port to communicate with the GPS.

                        1     ### #####
                        o o o # # # o # o o o o o
                         o o o o o o # o o o o o

Connect the Garmin cable as follows:

                          2 3       7
                        o o o o o o o o o o o o o
                         o o o o o o o o o o o o

	Pin 2 goes to DATA IN  (White)
	Pin 3 goes to DATA OUT (Brown)
	Pin 7 goes to GROUND   (Black)

If it doesn't work in this way, try exchanging pins 2 and 3 at the connector.

The circular connector on a Garmin GPS II receiver can be wired to a DB-9 connector as follows:

             _____                    _____,-----,
        3  /       \  4              |     |     |
          |  o   o  |                |     |     |_____
          |         <   <- groove -> |=====|     |----,|
          |  o   o  |                |     |     |    ||
        2  \ _____ /  1              |_____|     |    ||
                                           `-----'    ||
                                                      ||
        views are looking                             ||
        into connector                                ||
        at each end of cable                          ||
                                                      ||
                                                      ||
             5   3 2             ________             ||
             o o o o o          |         \___________||
              o o o o           |_________,------------'

        DB-9 pin 2 goes to circular connector pin 2
        DB-9 pin 3 goes to circular connector pin 4
        DB-9 pin 5 goes to circular connector pin 3
        other pins are not connected

        (Note: the pin numbers for the circular connector are
        arbitrary, and may not match the `official' numbers.)

 If your plug is more recent than the one above (ex: etrex) then you need DB-9 or DB-25 to be connected to your Garmin GPS like this:

                        _____,-----,
                        POWER(+) | | |
                        groove --> |=====| |_____
                        DATA IN | | |----,|
                        DATA OUT | | | ||
                        GROUND(-) |_____| | ||
                        `-----' ||
                        ||
                        ||
                        ||
                        ||
                        ||
                        ||
                        ________ ||
                        | \___________||
                        |_________,------------'

DB-25 :

                        2 3 7
                        o o o o o o o o o o o o o
                        o o o o o o o o o o o o

    Pin 2 goes to DATA IN (White)
    Pin 3 goes to DATA OUT (Brown)
    Pin 7 goes to GROUND (Black)

DB-9:

                        5 3 2
                        o o o o o
                        o o o o

         pin 2 goes to DATA IN (White)
         pin 3 goes to DATA OUT (Brown)
         pin 5 goes to GROUND (Black)
         other pins are not connected

For testing, you might try setting the GPS to NMEA-Output and using a terminal emulator program like Kermit. The GPS will send a data record every 2 seconds. As long as you don't see any data on your computer, gpstrans won't work.

After finishing the test, be sure to set your GPS receiver to GRMN/GRMN.

ENVIRONMENT

GPSDEV
    Serial I/O device (overrides contents of $HOME/.gpstrans, and is overridden by -p switch).

FILES

$HOME/.gpstrans
    Has user preferences for datum, format, offset, and serial I/O device (see -s switch, above).

AUTHOR
GPStrans is Copyright 1995 by Carsten Tschach <tschach@zedat.fu-berlin.de>. The datum translation routines are based on the program MacGPS from John F. Waers <jfwaers@csn.net>. Mayko mXmap output format by Matthias Kattanek <mattes@ugraf.com>. German Grid by Andreas Lange <andreas.lange@rhein-main.de>. etrex support by Joao Seabra CT2GNL - <seabra@ci.aac.uc.pt>. Other Garmin formats added by Jim Van Zandt <jrvz@comcast.remove.me.net>.

SEE ALSO
mxmap(1), GPSMan